@echo off
rem #-------------------------------------------------------------------------------------------------------------------
rem #
rem # Filename: collectedLogs.bat
rem #
rem # Description: Calls the CollectLogs java program which zips up all the log files from a specified directory
rem #              The batch file should be located in the \<cimagent directory>
rem #
rem #		-logsdir  = the folder where the log files are located (default - the root folder of the project)
rem #		-subfolders  = look into subfolders (default - do not look into subfolders)
rem #		-zipfilename  = the name of the output zip file (default - collectLogs.zip)
rem #		-zipfilepath  = the path where to put the output zip file (default - the root folder of the project)
rem #
rem # Change History:
rem #
rem #  Modifier            Date                Change ID	Description
rem # ------------------------------------------------------------------------------------------------------------------
rem #  Louise Maher     07-22-2004				Initial creation  
rem #  Adrian Duta      03-11-2005                          modify arguments
rem #  Kevin Hsieh		03-21-2005				16354		add quotes around %CIMOM%
rem #-------------------------------------------------------------------------------------------------------------------
@setlocal
call "%~dp0setupCmdLine.bat"

set CLASSPATH="%CIMOM%\ibmica.jar"

"%JAVA_HOME%\jre\bin\java" -classpath %CLASSPATH% com.ibm.cimom.logs.collectLogs.CollectLogs -logsdir "%CIMOM%" -zipfilename collectedLogs.zip -zipfilepath "%CIMOM%" -subfolders
@endlocal
